Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: ubuntu 7.10 против ATI Radeon x800gto  (Прочитано 2117 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
ubuntu 7.10 против ATI Radeon x800gto
« : 11 Июнь 2008, 18:04:58 »
 >:( установил Ubuntu с нуля, в внешнем виде выбрал "максимум красоты" все отлично работало.
Решил попробовать компиз (уж очень понравилось видео на youtube)
по инструкции http://www.helplinux.ru/ati-in-7-10-new поставил дрова, все загрузилось, однако "красота" отключилась, при запуске fglrxinfo вижу следующее:

fglrxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
barmaley@komp:~$ sudo aticonfig --initial --force
[sudo] password for barmaley:
Uninitialised file found, configuring.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.fglrx-2

вот моя схема действий и ответ консоли:

barmaley@komp:~$ sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-$(uname -r)
Чтение списков пакетов... Готово
Построение дерева зависимостей
Reading state information... Готово
Уже установлена самая новая версия module-assistant.
Уже установлена самая новая версия build-essential.
Уже установлена самая новая версия fakeroot.
Уже установлена самая новая версия dh-make.
Уже установлена самая новая версия debhelper.
debhelper set to manual installed.
Уже установлена самая новая версия debconf.
Уже установлена самая новая версия libstdc++5.
Пакеты, которые будут обновлены:
  linux-headers-2.6.22-14-generic
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 232 пакетов не обновлено.
Необходимо скачать 581kБ архивов.
После распаковки объем занятого дискового пространства возрастёт на 4096B.
Получено:1 http://security.ubuntu.com gutsy-security/main linux-headers-2.6.22-14-generic 2.6.22-14.52 [581kB]
Получено 581kB за 1s (300kB/c)
(Чтение базы данных... на данный момент установлено 96794 файлов и каталогов.)
Подготовка к замене пакета linux-headers-2.6.22-14-generic 2.6.22-14.46 (используется файл .../linux-headers-2.6.22-14-generic_2.6.22-14.52_i386.deb)...
Распаковывается замена для пакета linux-headers-2.6.22-14-generic ...
Настраивается пакет linux-headers-2.6.22-14-generic (2.6.22-14.52) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms

fglrx (8.493.1): Already installed on this kernel.

barmaley@komp:~$ sudo modprobe fglrx
barmaley@komp:~$ sudo modprobe fglrx
barmaley@komp:~$ locate fglrx.ko
barmaley@komp:~$ sudo dpkg -P xorg-driver-fglrx fglrx-kernel-source fglrx-amdcccle
dpkg: зависимости не позволяют удалить пакет xorg-driver-fglrx:
 xorg-driver-fglrx-dev зависит от xorg-driver-fglrx.
dpkg: не удалось обработать параметр xorg-driver-fglrx (--purge):
 проблемы зависимостей -- пакет не будет удалён
(Чтение базы данных... на данный момент установлено 96793 файлов и каталогов.)
Удаляется пакет fglrx-kernel-source...
Removing all DKMS Modules
Done.
Удаляется пакет fglrx-amdcccle...
Удаляются файлы конфигурации пакета fglrx-amdcccle...
При обработке следующих пакетов произошли ошибки:
 xorg-driver-fglrx
barmaley@komp:~$ sudo dpkg -i xorg-driver-fglrx*.deb fglrx-kernel-source*.deb fglrx-amdcccle*.deb
Выбор ранее не выбранного пакета xorg-driver-fglrx.
(Чтение базы данных... на данный момент установлено 96745 файлов и каталогов.)
Подготовка к замене пакета xorg-driver-fglrx 2:8.493.1-0ubuntu1 (используется файл xorg-driver-fglrx_8.493.1-0ubuntu1_i386.deb)...
 * Stopping atieventsd                                                                                   [ OK ]
Распаковывается замена для пакета xorg-driver-fglrx ...
Подготовка к замене пакета xorg-driver-fglrx-dev 2:8.493.1-0ubuntu1 (используется файл xorg-driver-fglrx-dev_8.493.1-0ubuntu1_i386.deb)...
Распаковывается замена для пакета xorg-driver-fglrx-dev ...
Выбор ранее не выбранного пакета fglrx-kernel-source.
Распаковывается пакет fglrx-kernel-source (из файла fglrx-kernel-source_8.493.1-0ubuntu1_i386.deb)...
Выбор ранее не выбранного пакета fglrx-amdcccle.
Распаковывается пакет fglrx-amdcccle (из файла fglrx-amdcccle_8.493.1-0ubuntu1_i386.deb)...
Настраивается пакет xorg-driver-fglrx (2:8.493.1-0ubuntu1) ...
 * Starting atieventsd                                                                                          /usr/sbin/atieventsd: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
                                                                                                         [fail]

Настраивается пакет xorg-driver-fglrx-dev (2:8.493.1-0ubuntu1) ...
Настраивается пакет fglrx-kernel-source (2:8.493.1-0ubuntu1) ...
Adding Module to DKMS build system
Doing initial module build
Installing initial module
Warning! Cannot do version sanity checking because multiple fglrx.ko
modules were found in kernel 2.6.22-14-generic.
Done.

Настраивается пакет fglrx-amdcccle (2:8.493.1-0ubuntu1) ...

barmaley@komp:~$ sudo apt-get update
Получено:1 http://security.ubuntu.com gutsy-security Release.gpg [191B]
Ign http://security.ubuntu.com gutsy-security/restricted Translation-ru
Получено:2 http://archive.canonical.com gutsy Release.gpg [191B]
Ign http://archive.canonical.com gutsy/partner Translation-ru
Получено:3 http://ru.archive.ubuntu.com gutsy-backports Release.gpg [191B]
Ign http://ru.archive.ubuntu.com gutsy-backports/main Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-backports/restricted Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-backports/universe Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-backports/multiverse Translation-ru
Получено:4 http://ru.archive.ubuntu.com gutsy Release.gpg [191B]
В кеше http://ru.archive.ubuntu.com gutsy/main Translation-ru
Ign http://security.ubuntu.com gutsy-security/main Translation-ru
Ign http://security.ubuntu.com gutsy-security/multiverse Translation-ru
Ign http://security.ubuntu.com gutsy-security/universe Translation-ru
В кеше http://security.ubuntu.com gutsy-security Release
В кеше http://archive.canonical.com gutsy Release
В кеше http://ru.archive.ubuntu.com gutsy/restricted Translation-ru
В кеше http://security.ubuntu.com gutsy-security/restricted Packages
В кеше http://archive.canonical.com gutsy/partner Packages
В кеше http://ru.archive.ubuntu.com gutsy/universe Translation-ru
В кеше http://security.ubuntu.com gutsy-security/main Packages
В кеше http://security.ubuntu.com gutsy-security/multiverse Packages
В кеше http://security.ubuntu.com gutsy-security/universe Packages
В кеше http://archive.canonical.com gutsy/partner Sources
В кеше http://ru.archive.ubuntu.com gutsy/multiverse Translation-ru
В кеше http://security.ubuntu.com gutsy-security/restricted Sources
В кеше http://security.ubuntu.com gutsy-security/main Sources
В кеше http://security.ubuntu.com gutsy-security/multiverse Sources
В кеше http://security.ubuntu.com gutsy-security/universe Sources
Получено:5 http://ru.archive.ubuntu.com gutsy-updates Release.gpg [191B]
Ign http://ru.archive.ubuntu.com gutsy-updates/restricted Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-updates/main Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-updates/multiverse Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-updates/universe Translation-ru
Получено:6 http://ru.archive.ubuntu.com gutsy-proposed Release.gpg [191B]
Ign http://ru.archive.ubuntu.com gutsy-proposed/restricted Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-proposed/main Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-proposed/multiverse Translation-ru
Ign http://ru.archive.ubuntu.com gutsy-proposed/universe Translation-ru
В кеше http://ru.archive.ubuntu.com gutsy-backports Release
В кеше http://ru.archive.ubuntu.com gutsy Release
В кеше http://ru.archive.ubuntu.com gutsy-updates Release
В кеше http://ru.archive.ubuntu.com gutsy-proposed Release
В кеше http://ru.archive.ubuntu.com gutsy-backports/main Packages
В кеше http://ru.archive.ubuntu.com gutsy-backports/restricted Packages
В кеше http://ru.archive.ubuntu.com gutsy-backports/universe Packages
В кеше http://ru.archive.ubuntu.com gutsy-backports/multiverse Packages
В кеше http://ru.archive.ubuntu.com gutsy-backports/main Sources
В кеше http://ru.archive.ubuntu.com gutsy-backports/restricted Sources
В кеше http://ru.archive.ubuntu.com gutsy-backports/universe Sources
В кеше http://ru.archive.ubuntu.com gutsy-backports/multiverse Sources
В кеше http://ru.archive.ubuntu.com gutsy/main Packages
В кеше http://ru.archive.ubuntu.com gutsy/restricted Packages
В кеше http://ru.archive.ubuntu.com gutsy/universe Packages
В кеше http://ru.archive.ubuntu.com gutsy/multiverse Packages
В кеше http://ru.archive.ubuntu.com gutsy/restricted Sources
В кеше http://ru.archive.ubuntu.com gutsy/main Sources
В кеше http://ru.archive.ubuntu.com gutsy/multiverse Sources
В кеше http://ru.archive.ubuntu.com gutsy/universe Sources
В кеше http://ru.archive.ubuntu.com gutsy-updates/restricted Packages
В кеше http://ru.archive.ubuntu.com gutsy-updates/main Packages
В кеше http://ru.archive.ubuntu.com gutsy-updates/multiverse Packages
В кеше http://ru.archive.ubuntu.com gutsy-updates/universe Packages
В кеше http://ru.archive.ubuntu.com gutsy-updates/restricted Sources
В кеше http://ru.archive.ubuntu.com gutsy-updates/main Sources
В кеше http://ru.archive.ubuntu.com gutsy-updates/multiverse Sources
В кеше http://ru.archive.ubuntu.com gutsy-updates/universe Sources
В кеше http://ru.archive.ubuntu.com gutsy-proposed/restricted Packages
В кеше http://ru.archive.ubuntu.com gutsy-proposed/main Packages
В кеше http://ru.archive.ubuntu.com gutsy-proposed/multiverse Packages
В кеше http://ru.archive.ubuntu.com gutsy-proposed/universe Packages
В кеше http://ru.archive.ubuntu.com gutsy-proposed/restricted Sources
В кеше http://ru.archive.ubuntu.com gutsy-proposed/main Sources
В кеше http://ru.archive.ubuntu.com gutsy-proposed/multiverse Sources
В кеше http://ru.archive.ubuntu.com gutsy-proposed/universe Sources
Получено 766B за 13s (55B/c)
Чтение списков пакетов... Готово
barmaley@komp:~$ sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-$(uname -r)
Чтение списков пакетов... Готово
Построение дерева зависимостей
Reading state information... Готово
Уже установлена самая новая версия module-assistant.
Уже установлена самая новая версия build-essential.
Уже установлена самая новая версия fakeroot.
Уже установлена самая новая версия dh-make.
Уже установлена самая новая версия debhelper.
Уже установлена самая новая версия debconf.
Уже установлена самая новая версия libstdc++5.
Уже установлена самая новая версия linux-headers-2.6.22-14-generic.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 232 пакетов не обновлено.
barmaley@komp:~$ sh ati-driver-installer-8-01-x86.x86_64.run --buildpkg $(lsb_release -si)/$(lsb_release -sc)
sh: Can't open ati-driver-installer-8-01-x86.x86_64.run
barmaley@komp:~$ sh ati-driver-installer-8-01-x86.x86_64.run --buildpkg $(lsb_release -si)/$(lsb_release -sc)
sh: Can't open ati-driver-installer-8-01-x86.x86_64.run
barmaley@komp:~$ cd /home/barmaley
barmaley@komp:~$ sh ati-driver-installer-8-01-x86.x86_64.run --buildpkg $(lsb_release -si)/$(lsb_release -sc)
sh: Can't open ati-driver-installer-8-01-x86.x86_64.run
barmaley@komp:~$ cd /home/barmaley
barmaley@komp:~$ sh ati-driver-installer-8-01-x86.x86_64.run --buildpkg $(lsb_release -si)/$(lsb_release -sc)
sh: Can't open ati-driver-installer-8-01-x86.x86_64.run
barmaley@komp:~$ sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg $(lsb_release -si)/$(lsb_release -sc)
Created directory fglrx-install.sr7748
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.493.1...
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu/gutsy
sudo dpkg -i xorg-driver-fglrx*.deb fglrx-kernel-source*.deb fglrx-amdcccle*.deb
sudo apt-get install -f
Package /home/barmaley/xorg-driver-fglrx_8.493.1-0ubuntu1_i386.deb has been successfully generated
Package /home/barmaley/xorg-driver-fglrx-dev_8.493.1-0ubuntu1_i386.deb has been successfully generated
Package /home/barmaley/fglrx-kernel-source_8.493.1-0ubuntu1_i386.deb has been successfully generated
Package /home/barmaley/fglrx-amdcccle_8.493.1-0ubuntu1_i386.deb has been successfully generated
Removing temporary directory: fglrx-install.sr7748
barmaley@komp:~$ sudo dpkg -i xorg-driver-fglrx*.deb fglrx-kernel-source*.deb fglrx-amdcccle*.deb
(Чтение базы данных... на данный момент установлено 96794 файлов и каталогов.)
Подготовка к замене пакета xorg-driver-fglrx 2:8.493.1-0ubuntu1 (используется файл xorg-driver-fglrx_8.493.1-0ubuntu1_i386.deb)...
 * Stopping atieventsd                                                                                   [ OK ]
Распаковывается замена для пакета xorg-driver-fglrx ...
Подготовка к замене пакета xorg-driver-fglrx-dev 2:8.493.1-0ubuntu1 (используется файл xorg-driver-fglrx-dev_8.493.1-0ubuntu1_i386.deb)...
Распаковывается замена для пакета xorg-driver-fglrx-dev ...
Подготовка к замене пакета fglrx-kernel-source 2:8.493.1-0ubuntu1 (используется файл fglrx-kernel-source_8.493.1-0ubuntu1_i386.deb)...
Распаковывается замена для пакета fglrx-kernel-source ...
Подготовка к замене пакета fglrx-amdcccle 2:8.493.1-0ubuntu1 (используется файл fglrx-amdcccle_8.493.1-0ubuntu1_i386.deb)...
Распаковывается замена для пакета fglrx-amdcccle ...
Настраивается пакет xorg-driver-fglrx (2:8.493.1-0ubuntu1) ...
 * Starting atieventsd                                                                                          /usr/sbin/atieventsd: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
                                                                                                         [fail]

Настраивается пакет xorg-driver-fglrx-dev (2:8.493.1-0ubuntu1) ...
Настраивается пакет fglrx-kernel-source (2:8.493.1-0ubuntu1) ...
Adding Module to DKMS build system

Error! DKMS tree already contains: fglrx-8.493.1
You cannot add the same module/version combo more than once.
Doing initial module build

Error! This module/version has already been built on: 2.6.22-14-generic
Directory: /var/lib/dkms/fglrx/8.493.1/2.6.22-14-generic/i686
already exists.  Use the dkms remove function before trying to build again.
Installing initial module

Error! This module/version combo is already installed
for kernel: 2.6.22-14-generic (i686)
Done.

Настраивается пакет fglrx-amdcccle (2:8.493.1-0ubuntu1) ...

barmaley@komp:~$ sudo apt-get install -f
Чтение списков пакетов... Готово
Построение дерева зависимостей
Reading state information... Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 232 пакетов не обновлено.

ну и естественно:
barmaley@komp:~$ compiz --replace
Checking for Xgl: not present.
Detected PCI ID for VGA: 05:00.0 0300: 1002:554f (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: not present.
aborting and using fallback: /usr/bin/metacity

вот. подскажите что мне делать пошагово, перечитал и перепробовал все что смог найти.
ногами не бейте - я новичек  :'(
Asus K50IN - Ubuntu 10.10

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #1 : 11 Июнь 2008, 22:43:15 »
Почему бы сразу не поставить Ubuntu 8.04
Если есть желание утановить ATi драйвер как надо - сделайте в точности что я скажу ниже,
Главное - ставить надо не 8,5 а 8,4 - качаете от сюда для 32 разрядной  http://ati.amd.com/support/drivers/linux/previous/linux-rf-cat84.html
Почему - потому что 8,5 на ядре 24,17 не работал как надо, уверен и на 24,18 он не заработает,
Инструкцию используйте эту http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide
Метод  2
Вместо строки
sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04
используйте
sudo sh ./ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu --autopkg

Вместо
sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb
использоваь
sudo dpkg -i xorg-driver-fglrx_8.476*.deb fglrx-kernel-source_8.476-0*.deb fglrx-amdcccle_8.476-0*.deb

Это для 64 битной поэтому не надо копировать ниже приведённые 2 строчки
sudo apt-get install -f
sudo dpkg -i --force-overwrite xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493-0*.deb fglrx-amdcccle_8.493-0*.deb

Далее если не сработает строка
sudo gedit /etc/X11/xorg.conf
Заменить на
sudo nano /etc/X11/xorg.conf

В nano - правка , вставить , F2 . Y для сохранния , N - без сохранения,

Строка
sudo aticonfig --initial -f
может сразу не сработать
Жмём Ctrl + Alt + BacSpace произойдёт перезагрузка иксов
вводим
sudo aticonfig --initial -f

вводим
fglrxinfo

должно быть
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3870
OpenGL version string: 2.1.7415 Release
 
Добавлю - драйвер лучше качайте или перемещайте в папку /home/ваша учётная запись, т,к терминал по умолчанию работает из этой папки,

Очень советую ставить на чистую и обновлённую систему, т,к  у Вас может не получиться корректно всё удалить, поэтому не описываю эти действия,  Для того чтобы не переставлять каждый раз систему лучше пользоваться програмкой Ping http://www.kubuntu.ru/node/981,

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #2 : 12 Июнь 2008, 17:37:24 »
спасибо, но ничего не получилось:
1. сначала опробовал метод2 написанный вами здесь
результат - после загрузки иксов экран становится белым и все исчезает...
переустановил систему...
2. сделал все в точности как написано там http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide (скачанный с ATI драйвер не ставил)
результат:
barmaley@hide:~$ fglrxinfo
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 (2.1 Mesa 7.0.1)
в монитор смотреть не могу, разрешение вроде 1024*768 85hz но глаза режет. :o




Asus K50IN - Ubuntu 10.10

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #3 : 12 Июнь 2008, 17:40:16 »
и еще:
barmaley@hide:~$ compiz --replace
Checking for Xgl: not present.
No whitelisted driver found
aborting and using fallback: /usr/bin/metacity
 ???
Asus K50IN - Ubuntu 10.10

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #4 : 12 Июнь 2008, 18:19:33 »
спасибо, но ничего не получилось:
1. сначала опробовал метод2 написанный вами здесь
2. сделал все в точности как написано там http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide (скачанный с ATI драйвер не ставил)

1.Я имел в виду метод №2 не здесь , а №2 в инструкции http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide , драйвер надо ставить по методу №2.
2. а всё в точности вы сделали наверно по методу №1?

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #5 : 12 Июнь 2008, 18:23:57 »
да по методу 1 инструкции, к сожалению я Вас неправильно понял.
Только что после всех вышеописанных действий сделал все по методу 2 (который для 8,5) в рекомендованной Вами инструкции. получилось вот что:
barmaley@hide:~$ sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-$(uname -r)
[sudo] password for barmaley:
Sorry, try again.
[sudo] password for barmaley:
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
Уже установлена самая новая версия debconf.
Уже установлена самая новая версия libstdc++5.
libstdc++5 set to manual installed.
Будут установлены следующие дополнительные пакеты:
  dpkg-dev g++ g++-4.1 gawk gettext html2text intltool-debian libc6 libc6-dev libc6-i686 libstdc++6-4.1-dev
  linux-libc-dev patch po-debconf
Предлагаемые пакеты:
  debian-keyring g++-multilib g++-4.1-multilib gcc-4.1-doc cvs gettext-doc glibc-doc manpages-dev libstdc++6-4.1-doc
  diff-doc
Рекомендуемые пакеты:
  libmail-sendmail-perl libcompress-zlib-perl
НОВЫЕ пакеты, которые будут установлены:
  build-essential debhelper dh-make dkms dpkg-dev fakeroot g++ g++-4.1 gawk gettext html2text intltool-debian libc6-dev
  libstdc++6-4.1-dev linux-libc-dev patch po-debconf
Пакеты, которые будут обновлены:
  libc6 libc6-i686 linux-headers-2.6.22-14-generic
обновлено 3, установлено 17 новых пакетов, для удаления отмечено 0 пакетов, и 222 пакетов не обновлено.
Необходимо скачать 16,8MБ архивов.
После распаковки объем занятого дискового пространства возрастёт на 43,7MB.
Хотите продолжить [Д/н]? д
Получено:1 http://security.ubuntu.com gutsy-security/main linux-libc-dev 2.6.22-14.52 [653kB]
Получено:2 http://archive.ubuntu.com gutsy-updates/main libc6 2.6.1-1ubuntu10 [4184kB]         
Получено:3 http://security.ubuntu.com gutsy-security/main linux-headers-2.6.22-14-generic 2.6.22-14.52 [581kB]
Получено:4 http://archive.ubuntu.com gutsy-updates/main libc6-i686 2.6.1-1ubuntu10 [1148kB]                             
Получено:5 http://archive.ubuntu.com gutsy/main gawk 1:3.1.5.dfsg-4ubuntu1 [478kB]                                       
Получено:6 http://archive.ubuntu.com gutsy-updates/main libc6-dev 2.6.1-1ubuntu10 [3287kB]                               
Получено:7 http://archive.ubuntu.com gutsy/main libstdc++6-4.1-dev 4.1.2-16ubuntu2 [1129kB]                             
Получено:8 http://archive.ubuntu.com gutsy/main g++-4.1 4.1.2-16ubuntu2 [2600kB]                                         
Получено:9 http://archive.ubuntu.com gutsy/main g++ 4:4.1.2-9ubuntu2 [1440B]                                             
Получено:10 http://archive.ubuntu.com gutsy/main patch 2.5.9-4 [95,6kB]                                                 
Получено:11 http://archive.ubuntu.com gutsy/main dpkg-dev 1.14.5ubuntu16 [162kB]                                         
Получено:12 http://archive.ubuntu.com gutsy/main build-essential 11.3ubuntu1 [7066B]                                     
Получено:13 http://archive.ubuntu.com gutsy/main html2text 1.3.2a-3build1 [90,6kB]                                       
Получено:14 http://archive.ubuntu.com gutsy/main gettext 0.16.1-2ubuntu3 [1552kB]                                       
Получено:15 http://archive.ubuntu.com gutsy/main intltool-debian 0.35.0+20060710.1 [31,6kB]                             
Получено:16 http://archive.ubuntu.com gutsy/main po-debconf 1.0.9 [117kB]                                               
Получено:17 http://archive.ubuntu.com gutsy/main debhelper 5.0.51ubuntu3 [526kB]                                         
Получено:18 http://archive.ubuntu.com gutsy/main dh-make 0.43 [33,8kB]                                                   
Получено:19 http://archive.ubuntu.com gutsy/universe dkms 2.0.17.4-0ubuntu2 [51,0kB]                                     
Получено:20 http://archive.ubuntu.com gutsy/main fakeroot 1.7.1ubuntu1 [111kB]                                           
Получено 16,8MB за 33s (503kB/c)                                                                                         
debconf: не удалось инициализировать интерфейс: Dialog
debconf: (Интерфейс dialog требует экран не менее 13 строк в высоту и 31 колонок в ширину.)
debconf: будет использован интерфейс: Readline
(Чтение базы данных... на данный момент установлено 89011 файлов и каталогов.)
Подготовка к замене пакета libc6 2.6.1-1ubuntu9 (используется файл .../libc6_2.6.1-1ubuntu10_i386.deb)...
Распаковывается замена для пакета libc6 ...
Настраивается пакет libc6 (2.6.1-1ubuntu10) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
(Чтение базы данных... на данный момент установлено 89011 файлов и каталогов.)
Подготовка к замене пакета libc6-i686 2.6.1-1ubuntu9 (используется файл .../libc6-i686_2.6.1-1ubuntu10_i386.deb)...
Распаковывается замена для пакета libc6-i686 ...
Выбор ранее не выбранного пакета gawk.
Распаковывается пакет gawk (из файла .../gawk_1%3a3.1.5.dfsg-4ubuntu1_i386.deb)...
Выбор ранее не выбранного пакета linux-libc-dev.
Распаковывается пакет linux-libc-dev (из файла .../linux-libc-dev_2.6.22-14.52_i386.deb)...
Выбор ранее не выбранного пакета libc6-dev.
Распаковывается пакет libc6-dev (из файла .../libc6-dev_2.6.1-1ubuntu10_i386.deb)...
Выбор ранее не выбранного пакета libstdc++6-4.1-dev.
Распаковывается пакет libstdc++6-4.1-dev (из файла .../libstdc++6-4.1-dev_4.1.2-16ubuntu2_i386.deb)...
Выбор ранее не выбранного пакета g++-4.1.
Распаковывается пакет g++-4.1 (из файла .../g++-4.1_4.1.2-16ubuntu2_i386.deb)...
Выбор ранее не выбранного пакета g++.
Распаковывается пакет g++ (из файла .../g++_4%3a4.1.2-9ubuntu2_i386.deb)...
Выбор ранее не выбранного пакета patch.
Распаковывается пакет patch (из файла .../patch_2.5.9-4_i386.deb)...
Выбор ранее не выбранного пакета dpkg-dev.
Распаковывается пакет dpkg-dev (из файла .../dpkg-dev_1.14.5ubuntu16_all.deb)...
Выбор ранее не выбранного пакета build-essential.
Распаковывается пакет build-essential (из файла .../build-essential_11.3ubuntu1_i386.deb)...
Выбор ранее не выбранного пакета html2text.
Распаковывается пакет html2text (из файла .../html2text_1.3.2a-3build1_i386.deb)...
Выбор ранее не выбранного пакета gettext.
Распаковывается пакет gettext (из файла .../gettext_0.16.1-2ubuntu3_i386.deb)...
Выбор ранее не выбранного пакета intltool-debian.
Распаковывается пакет intltool-debian (из файла .../intltool-debian_0.35.0+20060710.1_all.deb)...
Выбор ранее не выбранного пакета po-debconf.
Распаковывается пакет po-debconf (из файла .../po-debconf_1.0.9_all.deb)...
Выбор ранее не выбранного пакета debhelper.
Распаковывается пакет debhelper (из файла .../debhelper_5.0.51ubuntu3_all.deb)...
Выбор ранее не выбранного пакета dh-make.
Распаковывается пакет dh-make (из файла .../archives/dh-make_0.43_all.deb)...
Подготовка к замене пакета linux-headers-2.6.22-14-generic 2.6.22-14.46 (используется файл .../linux-headers-2.6.22-14-generic_2.6.22-14.52_i386.deb)...
Распаковывается замена для пакета linux-headers-2.6.22-14-generic ...
Выбор ранее не выбранного пакета dkms.
Распаковывается пакет dkms (из файла .../dkms_2.0.17.4-0ubuntu2_all.deb)...
Выбор ранее не выбранного пакета fakeroot.
Распаковывается пакет fakeroot (из файла .../fakeroot_1.7.1ubuntu1_i386.deb)...
Настраивается пакет libc6-i686 (2.6.1-1ubuntu10) ...

Настраивается пакет gawk (1:3.1.5.dfsg-4ubuntu1) ...

Настраивается пакет linux-libc-dev (2.6.22-14.52) ...
Настраивается пакет libc6-dev (2.6.1-1ubuntu10) ...
Настраивается пакет patch (2.5.9-4) ...
Настраивается пакет dpkg-dev (1.14.5ubuntu16) ...
Настраивается пакет html2text (1.3.2a-3build1) ...

Настраивается пакет gettext (0.16.1-2ubuntu3) ...

Настраивается пакет intltool-debian (0.35.0+20060710.1) ...
Настраивается пакет po-debconf (1.0.9) ...
Настраивается пакет debhelper (5.0.51ubuntu3) ...
Настраивается пакет dh-make (0.43) ...
Настраивается пакет linux-headers-2.6.22-14-generic (2.6.22-14.52) ...
Examining /etc/kernel/header_postinst.d.

Настраивается пакет dkms (2.0.17.4-0ubuntu2) ...

Настраивается пакет fakeroot (1.7.1ubuntu1) ...

Настраивается пакет libstdc++6-4.1-dev (4.1.2-16ubuntu2) ...
Настраивается пакет g++-4.1 (4.1.2-16ubuntu2) ...
Настраивается пакет g++ (4:4.1.2-9ubuntu2) ...

Настраивается пакет build-essential (11.3ubuntu1) ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
barmaley@hide:~$ sudo ln -s /usr/lib/libGL.so.1.2 /usr/lib/libGL.so.1
ln: creating symbolic link `/usr/lib/libGL.so.1' to `/usr/lib/libGL.so.1.2': File exists
barmaley@hide:~$ sudo rm /usr/src/fglrx-kernel*.deb
rm: cannot remove `/usr/src/fglrx-kernel*.deb': No such file or directory
barmaley@hide:~$ sudo rm /usr/src/fglrx-kernel*.deb
rm: cannot remove `/usr/src/fglrx-kernel*.deb': No such file or directory
barmaley@hide:~$ sudo rm /usr/src/fglrx-kernel*.deb
rm: cannot remove `/usr/src/fglrx-kernel*.deb': No such file or directory
barmaley@hide:~$ sudo dpkg -i xorg-driver-fglrx_8.476*.deb fglrx-kernel-source_8.476-0*.deb fglrx-amdcccle_8.476-0*.deb
dpkg: не удалось обработать параметр xorg-driver-fglrx_8.476*.deb (--install):
 нет доступа к архиву: No such file or directory
dpkg: не удалось обработать параметр fglrx-kernel-source_8.476-0*.deb (--install):
 нет доступа к архиву: No such file or directory
dpkg: не удалось обработать параметр fglrx-amdcccle_8.476-0*.deb (--install):
 нет доступа к архиву: No such file or directory
При обработке следующих пакетов произошли ошибки:
 xorg-driver-fglrx_8.476*.deb
 fglrx-kernel-source_8.476-0*.deb
 fglrx-amdcccle_8.476-0*.deb
barmaley@hide:~$ sudo sh ./ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu --autopkg
Created directory fglrx-install.f14726
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.476...
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu
Automatically detected gutsy
Package /home/barmaley/xorg-driver-fglrx_8.476-0ubuntu1_i386.deb has been successfully generated
Package /home/barmaley/xorg-driver-fglrx-dev_8.476-0ubuntu1_i386.deb has been successfully generated
Package /home/barmaley/fglrx-kernel-source_8.476-0ubuntu1_i386.deb has been successfully generated
Package /home/barmaley/fglrx-amdcccle_8.476-0ubuntu1_i386.deb has been successfully generated
Removing temporary directory: fglrx-install.f14726
barmaley@hide:~$ sudo gedit /etc/default/linux-restricted-modules-common
barmaley@hide:~$ sudo gedit /etc/modprobe.d/blacklist-restricted
barmaley@hide:~$ sudo gedit /etc/modprobe.d/blacklist-restricted
barmaley@hide:~$ sudo gedit /etc/modprobe.d/blacklist-local
barmaley@hide:~$ sudo dpkg -i xorg-driver-fglrx_8.476*.deb fglrx-kernel-source_8.476-0*.deb fglrx-amdcccle_8.476-0*.deb
(Чтение базы данных... на данный момент установлено 91531 файлов и каталогов.)
Подготовка к замене пакета xorg-driver-fglrx 7.1.0-8.37.6+2.6.22.4-14.10 (используется файл xorg-driver-fglrx_8.476-0ubuntu1_i386.deb)...
Распаковывается замена для пакета xorg-driver-fglrx ...
Выбор ранее не выбранного пакета fglrx-kernel-source.
Распаковывается пакет fglrx-kernel-source (из файла fglrx-kernel-source_8.476-0ubuntu1_i386.deb)...
Выбор ранее не выбранного пакета fglrx-amdcccle.
Распаковывается пакет fglrx-amdcccle (из файла fglrx-amdcccle_8.476-0ubuntu1_i386.deb)...
Настраивается пакет xorg-driver-fglrx (2:8.476-0ubuntu1) ...

Файл конфигурации `/etc/xdg/compiz/compiz-manager'
 ==> Удалён во время установки (вами или каким-либо скриптом).
 ==> Автор пакета предоставил обновлённую версию.
  Что вы будете с этим делать?  У вас есть следующие варианты:
   Y или I : установить версию, предлагаемую сопровождающим пакета
   N или O : оставить установленную на данный момент версию
      D    : показать различия между версиями
      Z    : перевести этот процесс в фоновый режим для проверки ситуации
 По умолчанию сохраняется текущая версия файла конфигурации.
*** compiz-manager (Y/I/N/O/D/Z) [по умолчанию N] ? y
Устанавливается новая версия файла конфигурации /etc/xdg/compiz/compiz-manager ...
 * Starting atieventsd                                                                                                    /usr/sbin/atieventsd: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
                                                                                                                   [fail]

Настраивается пакет fglrx-kernel-source (2:8.476-0ubuntu1) ...
Adding Module to DKMS build system
Doing initial module build
Installing initial module
Done.

Настраивается пакет fglrx-amdcccle (2:8.476-0ubuntu1) ...

barmaley@hide:~$ sudo gedit /etc/X11/xorg.conf
barmaley@hide:~$ sudo aticonfig --initial -f
Uninitialised file found, configuring.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.fglrx-2
barmaley@hide:~$ fglrxinfo
fglrxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
 :-\
Asus K50IN - Ubuntu 10.10

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #6 : 12 Июнь 2008, 20:50:01 »
barmaley@hide:~$ sudo dpkg -i xorg-driver-fglrx_8.476*.deb fglrx-kernel-source_8.476-0*.deb fglrx-amdcccle_8.476-0*.deb
dpkg: не удалось обработать параметр xorg-driver-fglrx_8.476*.deb (--install):
 нет доступа к архиву: No such file or directory
Эта ошибка говорит - может у тебя в терминале не та папка открыта, где лежит скаченный драйвер (набери ls и в терминале должно открыться содержимое, т.е должен быть  файл ati-driver-installer-8-4-x86.x86_64.run )

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #7 : 13 Июнь 2008, 08:11:23 »
barmaley@hide:~$ ls
ati-driver-installer-8-4-x86.x86_64.run        Видео
Examples                                       Документы
fglrx-amdcccle_8.476-0ubuntu1_i386.deb         Картинки
fglrx-installer_8.476-0ubuntu1_i386.changes    Музыка
fglrx-kernel-source_8.476-0ubuntu1_i386.deb    Общедоступные
nautilus-debug-log.txt                         Рабочий стол
xorg-driver-fglrx_8.476-0ubuntu1_i386.deb      Шаблоны
xorg-driver-fglrx-dev_8.476-0ubuntu1_i386.deb
barmaley@hide:~$
 ???

я так понимаю что все правильно.
Сегодня попробую после переустановки системы сразу поставить драйвер по Вашей инструкции №2
« Последнее редактирование: 13 Июнь 2008, 08:13:05 от dfk10 »
Asus K50IN - Ubuntu 10.10

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #8 : 13 Июнь 2008, 09:46:05 »
К стати у тебя же Ubuntu 7.10, возможно ещё поэтому не ставится т.к инструкция то для Ubuntu 8.04 (все давно перешли на 8.04 и я тоже не подумав предложил тебе свой опыт для 8.04, извеняюсь напутал)  Так что лучше установить 8.04 и обновить её, потом ставить драйвер. Тут методила обкатана.
На Uduntu 7.10 надо ставить по соответствующей инструкции - здесь можно выбрать http://wiki.cchtml.com/index.php/Ubuntu эту я не пробовал, тебе решать.

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #9 : 13 Июнь 2008, 17:17:29 »
 :buck2: попробовал по этому методу...
получил белый экран после перезагрузки...
щас по p2p сливаю ubuntu 8.04, солью - установлю, попробую по методу описанному выше :(
Asus K50IN - Ubuntu 10.10

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #10 : 13 Июнь 2008, 20:27:15 »
тэкс... помоему все наконецто получилось  :)

barmaley@hide:~$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON X800 GTO
OpenGL version string: 2.1.7415 Release
Asus K50IN - Ubuntu 10.10

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #11 : 13 Июнь 2008, 20:30:55 »
однако не смотря на то что дрова наконецто встали:

barmaley@hide:~$ compiz --replace
Checking for Xgl: not present.
Detected PCI ID for VGA: 05:00.0 0300: 1002:554f (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (2048): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
/usr/bin/compiz.real (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
GConf backend: There is an unsupported value at path /apps/compiz/plugins/scale/allscreens/options/initiate_edge. Settings from this path won't be read. Try to remove that value so that operation can continue properly.
 :'(
Asus K50IN - Ubuntu 10.10

Оффлайн Fliker-09

  • Активист
  • *
  • Сообщений: 338
  • Linux rocks and KDE too!
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #12 : 13 Июнь 2008, 23:09:35 »
Интересно, а что пишет glxinfo | grep direct при дровах из коробки...

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #13 : 14 Июнь 2008, 00:11:18 »
Из коробки дрова хуже и пишет типа 2.1.7413

Оффлайн WereDuck

  • Автор темы
  • Новичок
  • *
  • Сообщений: 40
    • Просмотр профиля
Re: ubuntu 7.10 против ATI Radeon x800gto
« Ответ #14 : 14 Июнь 2008, 08:54:03 »
Интересно, а что пишет glxinfo | grep direct при дровах из коробки...
пишет direct rendering yes
но компиз под них не пашет... хотя он у меня и под эти дрова не пашет чета... :2funny:
Asus K50IN - Ubuntu 10.10

 

Страница сгенерирована за 0.077 секунд. Запросов: 22.